Page MenuHomePhabricator

[ARM] Delete duplicate known bits implementation for ARMISD::CMOV.
AbandonedPublic

Authored by efriedma on Mar 22 2017, 12:34 PM.

Details

Reviewers
rengolin
jmolloy
Summary

Not only is it useless, it's wrong: it doesn't check the correct operands.

(See ARMTargetLowering::computeKnownBitsForTargetNode for the other implementation.)

Fixes https://bugs.llvm.org//show_bug.cgi?id=32379 .

Diff Detail

Repository
rL LLVM

Event Timeline

efriedma created this revision.Mar 22 2017, 12:34 PM
jmolloy accepted this revision.Mar 23 2017, 2:34 AM

Looks even better than Pirama's patch. Thanks!

sidenote: I know I added *one* of these... now I'm wondering if I added the correct or broken one and how there ended up being two!

This revision is now accepted and ready to land.Mar 23 2017, 2:34 AM
efriedma abandoned this revision.Apr 6 2017, 4:11 PM

The correctness fix was already merged; I'll submit the cleanup separately.